/*
 * SCO.java
 *
 */

package com.uvigo.tMaestro.SCO;

/**
 * Esta interfaz define los m�todos que debe implementar
 * todo SCO para hacer posible la comunicacion entre SCO y LMS
 * @author raul
 * @version 0.1
 */
public interface SCO {
    
    /**
     * Lanza el SCO
     */
    public void start();
    
    /**
     * Para el SCO
     */
    public void stop();
    
    /**
     * Realiza las inicializaciones
     */
    public void install(org.osgi.framework.BundleContext oContext);
    
    /**
     * Libera posibles recursos utilizados
     */
    public void uninstall();
    
}
